
# Copyright (C) SEIKO EPSON CORPORATION 2003-2004.

%define VERSION 2.6.2
%define PREFIX /usr
%define BINDIR %{PREFIX}/bin
%define ETCDIR /etc
%define VARDIR /var
%define LIBDIR %{PREFIX}/lib
%define KOWADIR %{PREFIX}/local/EPKowa
%define DEAMONDIR %{KOWADIR}/printer
%define DATADIR %{KOWADIR}/PM970C
%define LOCALEDIR %{PREFIX}/share/locale

%define CUPS_SERVER_DIR %{PREFIX}/lib/cups
%define CUPS_DATA_DIR %{PREFIX}/share/cups

Summary: Photo Image Print System for EPSON PM-970C - CUPS version (i386)
Summary(ja): EPSON PM-970C Ѥ Photo Image Print System - CUPSб (i386)
Name: pips970-cups
Version: %{VERSION}
Release: 2
Copyright: Copyright (C) 2000-2004 EPSON KOWA Corporation. / Copyright (C) SEIKO EPSON CORPORATION 2000-2004.
Group: System/Printer
Source0: pips970-cups-%{VERSION}.tar.gz
Packager: EPSON KOWA Corporation
BuildRoot: /tmp/%{name}

#uncomment to remove dependency checks
AutoReqProv:   no
# Kondara requires
Requires: ld-linux.so.2
Requires: libX11.so.6
Requires: libXext.so.6
Requires: libXi.so.6
Requires: libc.so.6
Requires: libc.so.6(GLIBC_2.0)
Requires: libc.so.6(GLIBC_2.1)
Requires: libc.so.6(GLIBC_2.1.3)
#Requires: libcrypt.so.1
#Requires: libcrypto.so.0.9.6
Requires: libcups.so.2
Requires: libcupsimage.so.2
Requires: libdl.so.2
Requires: libdl.so.2(GLIBC_2.0)
Requires: libdl.so.2(GLIBC_2.1)
Requires: libgdk-1.2.so.0
Requires: libglib-1.2.so.0
Requires: libgmodule-1.2.so.0
Requires: libgtk-1.2.so.0
Requires: libjpeg.so.62
Requires: libm.so.6
Requires: libnsl.so.1
Requires: libpng.so.3
Requires: libpthread.so.0
Requires: libpthread.so.0(GLIBC_2.0)
Requires: libpthread.so.0(GLIBC_2.1)
#Requires: libssl.so.0.9.6
Requires: libtiff.so.3
Requires: libz.so.1

%description

%prep
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%setup
./configure --prefix=/usr

%build
make

%install
make install DESTDIR=${RPM_BUILD_ROOT}

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh install

%preun
if [ "$1" = 0 ] ; then
	DESTDIR=${RPM_BUILD_ROOT} %{DATADIR}/inst-post.sh deinstall
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

if [ "$1" = 0 ] ; then
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/scripts
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}/rc.d
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DATADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{DEAMONDIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}%{KOWADIR}
	rmdir --ignore-fail-on-non-empty ${RPM_BUILD_ROOT}/var/ekpd
fi

%files
%defattr(-,root,root)

%{CUPS_SERVER_DIR}/filter/rastertopips
%{CUPS_SERVER_DIR}/filter/pipstoprinter
%{CUPS_SERVER_DIR}/backend/ekplp
%{CUPS_DATA_DIR}/model/ekpm970c.ppd

%{BINDIR}/ekpstm
%{LIBDIR}/libpm970c.so
%{LIBDIR}/libpm970cR1.so
%{LIBDIR}/libpm970cR2.so
%{DEAMONDIR}/ekpd
%{DEAMONDIR}/paper_list.csv
%{ETCDIR}/ekpdrc
%{VARDIR}/ekpd/ekplp0
%{DATADIR}/cupsopt_pm970c.csv
%{DATADIR}/readme970-cups
%{DATADIR}/libpm970c.readme
%{DATADIR}/inst-post.sh

%{LOCALEDIR}/ja/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/de/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/es/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/fr/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/it/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/nl/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/pt/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/ko/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/zh/LC_MESSAGES/ekpstm.mo
%{LOCALEDIR}/zh_TW/LC_MESSAGES/ekpstm.mo

%{DATADIR}/setup
%{DATADIR}/scripts/en.lc
%{DATADIR}/scripts/ja.lc

%{DATADIR}/inst-rc_d.sh
%{DATADIR}/rc.d/ekpd.redhat
%{DATADIR}/rc.d/ekpd.debian
%{DATADIR}/rc.d/ekpd.slackware
%{DATADIR}/rc.d/ekpd.local.slackware

%doc AUTHORS
%doc README
%doc COPYING
%doc COPYING.LIB
%doc COPYING.KOWA
%doc COPYING.KOWA.ja
%doc ChangeLog
